Add Bulk Geofences

Bulk add up to 1000 geofence objects at the same time.

A geofence object must have either one of venueId, categoryId, chainId, center, or polygon.

Path Params
string
required

The unique ID associated with your developer project.

Query Params
string
required

The access token generated via your web application as described here.

string
required

The API version date as documented here

string
required

Array of pilgrim geofence objects. Must be URL encoded. Example: [{"name":"FavoriteCoffeeShop","venueId":"4b5901d3f964a520167828e3","dwellTime":5,"radius":100},{"name":"LatLngFence","dwellTime":10,"radius":175,"center":"40.7001,-73.988"}]

boolean

Replace all the existing geofence entries with the new geofences. Will append new geofences if false.

boolean

Returns all created geofences in a JSON array.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json